#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define			oldver	1.0
#-----------------------------------------------------------------------------
Name		:	rest
Version		:	0.9.1
Release		:	14.4.0.0%{?dist}
Summary		:	A library for access to RESTful web services
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2

URL		:	http://ftp.gnome.org/pub/gnome/sources/rest

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
Buildrequires	:	gi-docgen
Buildrequires	:	gtksourceview-devel
Buildrequires	:	libadwaita-devel
Buildrequires	:	libxslt
Buildrequires	:	libsoup
Buildrequires	:	make-ca
Buildrequires	:	meson
Buildrequires	:	ninja
Buildrequires	:	python3-Jinja2
Buildrequires	:	python3-markdown
Buildrequires	:	python3-typogrify
Buildrequires	:	gobject-introspection
#-----------------------------------------------------------------------------
%description
'%{name}' library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that
represent remote objects, which methods can then be called on. The
majority of services don't actually adhere to this strict definition.
Instead, their RESTful end point usually has an API that is just
simpler to use compared to other types of APIs they may support
(XML-RPC, for instance). It is this kind of API that this library is
attempting to support.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS README.md
%{_bindir}/lib%{name}-demo
%{_includedir}/%{name}-%{oldver}/%{name}-*/*.h
%{_includedir}/%{name}-%{oldver}/%{name}/*.h
%{_libdir}/lib%{name}*-%{oldver}.so*
%{_libdir}/pkgconfig/%{name}*-%{oldver}.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/applications/org.gnome.RestDemo.desktop

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D soup2=false					\
	-D gtk_doc=false				\
	_bld

ninja							\
	-C _bld

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
        ninja						\
        -C _bld						\
        install

#-----------------------------------------------------------------------------
%changelog
